#Module-Specific definitions
%define apache_version 2.4.0
%define mod_name mod_authnz_external
%define mod_so %{mod_name}.so

Summary:	An apache authentication DSO using external programs
Name:		%{mod_name}
Version:	3.3.2
Release:	2
Group:		System/Servers
License:	Apache License
URL:		http://www.unixpapa.com/mod_auth_external.html
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source2:	mod_authnz_external.conf-64
Source3:	PAM_AUTH_EXTERNAL.READ-ME
Requires(pre):  httpd >= %{apache_version}
Requires:	httpd >= %{apache_version}
BuildRequires:  httpd-devel >= %{apache_version}
Requires:	perl-Authen-PAM
Requires:	pwauth
Provides:	mod_auth_external
Obsoletes:	apache-mod_auth_external
buildroot:      /root/rpmbuild/BUILDROOT/

%description
An apache external authentication module - uses PAM.

BuildArch:      x86_64

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE2} mod_authnz_external.conf-64
cp %{SOURCE3} PAM_AUTH_EXTERNAL.READ-ME
chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO PAM_AUTH_EXTERNAL.READ-ME

%build

%{_bindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/httpd/modules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/httpd/modules/
install -m0644 mod_authnz_external.conf-64 %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf

install -d %{buildroot}/root/
install -d %{buildroot}/usr/bin
install -m0644 PAM_AUTH_EXTERNAL.READ-ME %{buildroot}/root/PAM_AUTH_EXTERNAL.READ-ME

%post
systemctl restart httpd

%postun
if [ "$1" = "0" ]; then
    systemctl restart httpd
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf
%attr(0755,root,root) %{_libdir}/httpd/modules/%{mod_so}
%attr(0644,root,root) /root/PAM_AUTH_EXTERNAL.READ-ME

%changelog

* Thu Jun 02 2016 Michael Stauber <mstauber@solarspeed.net> 3.3.2-2
- Updated with latest sources from https://github.com/kitech/mod_authnz_external
- Switched back to using pwauth instead of our home-brewed method.
- Added requirement for pwauth.
- Adjusted Apache config file for usage of pwauth.
- Updated docs.

* Thu Jul 17 2014 Michael Stauber <mstauber@solarspeed.net> 3.3.2-1
- Modified for 5209R on EL7

